org.eclipse.jgit.errors

## Class ConfigInvalidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.errors.ConfigInvalidException

All Implemented Interfaces:
  Serializable

    public class ConfigInvalidException
    extends Exception

Indicates a text string is not a valid Git style configuration.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConfigInvalidException(String message)` Construct an invalid configuration error.
`ConfigInvalidException(String message, Throwable cause)` Construct an invalid configuration error.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigInvalidException

    public ConfigInvalidException(String message)

Construct an invalid configuration error.

Parameters:
  `message` - why the configuration is invalid.

#### ConfigInvalidException

    public ConfigInvalidException(String message,
                                  Throwable cause)

Construct an invalid configuration error.

Parameters:
  `message` - why the configuration is invalid.
  `cause` - root cause of the error.